%define _name hamster-applet
%define ver_major 2.32
%def_disable docky

Name: gnome-applets-extra-hamster
Version: %ver_major.1
Release: alt1

Summary: GNOME Time Tracking Applet
Group: Graphical desktop/GNOME
License: GPLv3+
Url: http://live.gnome.org/ProjectHamster
Packager: Yuri N. Sedunov <aris@altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2
Patch: %_name-2.32.0-no_docky.patch

Requires: gnome-panel

BuildPreReq: rpm-build-gnome intltool >= 0.35.0
BuildPreReq: gnome-doc-utils libGConf-devel GConf
BuildRequires: libgtk+2-devel python-module-pygtk-devel python-module-pygnome-devel
BuildRequires: python-module-pygnome-desktop-devel python-modules-sqlite3
BuildRequires: python-module-pygnome-applet gnome-control-center-devel

%description
Hamster Applet is a time tracking tool (including panel-applet) for the GNOME.

%prep
%setup -q -n %_name-%version
%{?_disable_docky:%patch -p1}

%build
export PYTHONDIR=%python_sitelibdir
./waf configure \
        --prefix=%prefix \
        --sysconfdir=%_sysconfdir \
        --localstatedir=%_localstatedir \
        --libdir=%_libdir \
        --datadir=%_datadir \
        --mandir=%_mandir

./waf build --nocache

%install
./waf  --nocache install --destdir=%buildroot

%find_lang --with-gnome %_name

%post
%gconf2_install %_name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%files -f %_name.lang
%_bindir/*
%_libdir/%_name
%python_sitelibdir/*
%bonobo_serversdir/*
%_datadir/%_name
%_datadir/applications/*
%_datadir/gnome-control-center/keybindings/90-hamster-applet.xml
%_datadir/dbus-1/services/org.gnome.hamster.service

%if_enabled docky
%_datadir/dockmanager/metadata/hamster_control.py.info
%_datadir/dockmanager/scripts/hamster_control.py
%_datadir/docky/helpers/hamster_control.py
%_datadir/docky/helpers/metadata/hamster_control.py.info
%endif

%_iconsdir/hicolor/*/*/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README NEWS


%changelog
* Tue Nov 16 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt1
- 2.32.1

* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Mon Sep 13 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.92-alt1
- 2.31.92

* Wed Sep 08 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.91-alt1
- 2.31.91

* Tue Jun 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Sun May 02 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Fri Apr 02 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0.1-alt1
- first build for Sisyphus

